import logging
import os

import yaml

# Check you have a config file
if not os.path.isfile("config.yml"):
    logging.error("Your config file is missing. Ensure you have copied config-example.yml to config.yml and updated it according to your needs.")
    exit()

# Load config
config = yaml.safe_load(open("config.yml"))
logging.info("Loaded config.")

MAX_SPOT_AGE = config["max-spot-age-sec"]
MAX_ALERT_AGE = config["max-alert-age-sec"]
SERVER_OWNER_CALLSIGN = config["server-owner-callsign"]
WEB_SERVER_PORT = config["web-server-port"]
ALLOW_SPOTTING = config["allow-spotting"]